#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,320,384,448,512,1088,2240,3328,4480
 * N : 25,128,192,256,320,384,448,512,1088,2240,3328,4480
 * NB : 5,8,12,20,20,32,64,64,64,64,128,128
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 5; \
   else if ((n_) < 160) (nb_) = 8; \
   else if ((n_) < 224) (nb_) = 12; \
   else if ((n_) < 352) (nb_) = 20; \
   else if ((n_) < 416) (nb_) = 32; \
   else if ((n_) < 2784) (nb_) = 64; \
   else (nb_) = 128; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
